* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'Google Sans', sans-serif;
}

:root {
    --purple: #292D60;
    --yellow: #e49b2c;
    --green: #06853C;
    --blue: #057dc2;
    --red: #CF1C1C;
    --dark: #000000e0;
    --white: #FFFFFF;
    --grey: #acacac;
    --grey: #acacac;
    --inputs: #F9F9F9;
}

/*Estilos para el spinner*/

.spinner {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    background: #fffe;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    overflow: hidden;
}

.paytm_loader {
    margin: 50% auto;
    color: #002e6e;
    width: 3px;
    aspect-ratio: 1;
    border-radius: 50%;
    transform: translateX(-38px);
    animation: loader 0.5s infinite alternate linear;
    -webkit-box-shadow: 19px 0 0 7px, 38px 0 0 3px, 57px 0 0 0;
    -webkit-transform: translateX(-38px);
    -webkit-animation: loader 0.5s infinite alternate linear;
}

@keyframes loader {
    50% {
        box-shadow: 19px 0 0 3px, 38px 0 0 7px, 57px 0 0 3px;
    }

    100% {
        box-shadow: 19px 0 0 0, 38px 0 0 3px, 57px 0 0 7px;
    }
}

@-webkit-keyframes loader {
    50% {
        box-shadow: 19px 0 0 3px, 38px 0 0 7px, 57px 0 0 3px;
    }

    100% {
        box-shadow: 19px 0 0 0, 38px 0 0 3px, 57px 0 0 7px;
    }
}


/*Estilos para el navbar_partial*/

.navbar_partial {
    width: 100%;
    height: 80px;
    background: var(--white);
    box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.2);
    position: fixed;
    overflow: hidden;
    top: 0;
    left: 0;
    z-index: 50;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

    .navbar_partial > .left {
        width: 20%;
        height: 65px;
        margin: 0 auto 0 50px;
        display: flex;
        flex-wrap: nowrap;
        align-items: center
    }

        .navbar_partial > .left > .logo {
            height: 50px;
            cursor: pointer;
        }

    .navbar_partial > .center {
        width: 60%;
        height: 65px;
        display: flex;
        align-items: center;
        justify-content: center;
        color: var(--dark);
        word-break: break-all;
        font-size: 1.5rem;
        font-weight: 600;
    }

    .navbar_partial > .rigth {
        width: 20%;
        height: 65px;
        margin-right: 50px;
        overflow: hidden;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        gap: 5px;
    }

        .navbar_partial > .rigth > button {
            width: 50px;
            height: 50px;
            background: none;
            background-size: 80%;
            background-repeat: no-repeat;
            background-position: bottom center;
            cursor: pointer;
            border: none;
        }

        .navbar_partial > .rigth > #btnProfile {
            text-align: center;
            font-size: 1rem;
            font-weight: 400;
            color: var(--white);
            background: var(--purple);
            border-radius: 50%;
        }

        .navbar_partial > .rigth > #btnNotification {
            background-image: url(../assets/Buttons/Notification.svg);
            position: relative;
        }

#btnNotification > span {
    position: absolute;
    top: 14.8px;
    left: 29.2px;
    background-color: var(--red);
    border-radius: 50%;
    width: 5.8px;
    height: 5.8px;
    display: none;
}

#menu_User {
    width: 200px;
    height: 0;
    position: fixed;
    overflow: hidden;
    top: 80px;
    right: 0;
    z-index: 1000;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
    transition: all 1s ease-out;
    background: #fff;
    box-shadow: -12px 12px 12px rgba(0, 0, 0, 0.05);
}

.btnMenu {
    width: 100%;
    height: 65px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: left;
    align-items: center;
    color: var(--dark);
    transition: .5s;
}

    .btnMenu:hover {
        background: #EDEDED;
    }

    .btnMenu > button {
        width: 35px;
        height: 35px;
        margin-left: 10px;
        background: transparent;
        border: none;
        background-size: 100%;
    }

        .btnMenu > button:hover {
            cursor: pointer;
        }

    .btnMenu > label:hover {
        cursor: pointer;
    }

    .btnMenu > #btnLogout {
        background-image: url('../assets/Buttons/Logout.svg');
    }

    .btnMenu > #btnChangePassword {
        background-image: url('../assets/Buttons/ChangePassword.svg');
    }

.notifications {
    width: 400px;
    height: 0;
    position: fixed;
    overflow: auto;
    top: 80px;
    right: 0;
    transition: all 1s ease-out;
    background: #fff;
    box-shadow: -12px 12px 12px rgba(0, 0, 0, 0.05);
}

    .notifications h1 {
        font-size: 1.5rem;
        font-weight: 600;
        text-align: center;
        padding: 10px 0;
    }

.notification {
    position: relative;
    width: 90%;
    margin: 10px auto;
    padding: 20px;
    background-color: #EFEFEF;
    border-radius: 2vh;
    word-break: break-word;
    text-align: justify;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

    .notification h3 {
        font-size: .8rem;
        font-weight: 400;
        text-align: left;
        margin: 0;
        color: var(--green);
    }

.notification_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 5px 5px 0 0;
}

.notification_title {
    font-size: 1.2rem;
    font-weight: 600;
    margin: 0;
}

.notification_message {
    font-size: 1rem;
    font-weight: 400;
    padding: 0 50px 0 0;
}

.notification_btnDelete {
    width: 20px;
    height: 20px;
    min-width: 20px;
    min-height: 20px;
    margin-left: 10px;
    background: transparent;
    border: none;
    background-size: 100% 100%;
    background-image: url('../assets/Buttons/Trash2.svg');
    cursor: pointer;
    transition: .5s;
    border-radius: 50%;
}
/*Estilos para el Contain*/
.contain {
    min-height: calc(100vh - 40px);
    padding: calc(80px + 1vh) 50px 50px 50px;
    background-color: var(--white);
}

/*Estilos para el Footer*/
.footer {
    text-align: center;
    color: var(--purple);
    padding: 1vh;
    height: 40px;
    background: transparent;
    font-size: .7em;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*Estilos para la modal*/
.modal_header {
    position: absolute;
    top: 23px;
    right: 26px;
    display: flex;
    transition: .5s;
}

#modal_Content {
    display: flex;
    flex-direction: column;
    gap: 15px;
    align-items: center;
    margin: 30px;
}

.modal_container {
    width: 50%;
    height: auto;
    max-height: 600px;
    padding: 20px;
    background: var(--white);
    border-radius: 4vh;
    z-index: 100;
    transition: .5s;
    opacity: 0;
    overflow-y: auto;
    position: relative;
    overflow: auto;
}

#BtnCloseModal {
    width: 30px;
    height: 30px;
    background-image: url(../assets/Buttons/Close.svg);
    background-size: 100% 100%;
    cursor: pointer;
}

.swal2-close-custom {
    position: absolute;
    top: 5px;
    right: 10px;
    background: none;
    border: none;
    font-size: 1.5rem;
    color: #333;
    cursor: pointer;
    font-weight: bold;
}

.section_Title {
    position: relative;
    top: -55px;
}

.modal_Title, .section_Title {
    display: block;
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
    color: var(--purple);
}

.modal_wrapper {
    opacity: 1;
    justify-content: center;
    align-items: center;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 50;
    background: #0009;
    display: none;
}

#btn_Back {
    margin: 10px 0;
    padding: 25px;
    background-color: var(--purple);
    background-image: url('../assets/Buttons/Back.svg');
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    border-radius: 5px;
    transition: .5s;
    cursor: pointer;
    position: relative;
    z-index: 10;
}

#btn_Back:hover {
    scale: 1.1;
}

.form_inputs {
    width: 100%;
    max-width: 630px;
    margin: 1rem auto;
    display: flex;
    flex-flow: wrap;
    justify-content: center;
    align-items: flex-start;
}

/* Estilo del scrollbar */
*::-webkit-scrollbar {
    width: 10px;
}

*::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: var(--grey);
    transition: all .6s ease-in-out;
}

    *::-webkit-scrollbar-thumb:hover {
        background: var(--purple);
    }

/* Anular el estilo del scrollbar en los formularios y las secciones */
.section::-webkit-scrollbar, form::-webkit-scrollbar {
    display: none;
}

/* Estilos de las tablas */

.container_btnAdd, .container_btnCategories, .container_btnExclusions, .container_btnDefaultRepresentative {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    color: var(--purple);
    font-size: 1rem;
    font-weight: 600;
}

#btnAdd, #btnAddExemption, #btnAddAssistance {
    width: 30px;
    height: 30px;
    background-color: #FFFF;
    padding: 5px;
    background-image: url('../assets/Buttons/Add.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    border: 2px solid var(--purple);
    margin: 0 5px;
    transition: .5s;
}

#btnCreateBenefit {
    width: 30px;
    height: 30px;
    background-color: #FFFF;
    padding: 5px;
    background-image: url('../assets/Buttons/Add.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    border: 2px solid var(--purple);
    margin: 0 5px;
    transition: .5s;
}

.btnCostsTable {
    width: 30px;
    height: 30px;
    background-color: #FFFF;
    padding: 5px;
    background-image: url('../assets/Buttons/circle-dollar-sign.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    border: 2px solid var(--purple);
    margin: 0 5px;
    transition: .5s;
}

#btnCategories {
    width: 30px;
    height: 30px;
    background-color: #FFFF;
    padding: 5px;
    background-image: url('../assets/Buttons/Detail.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    border: 2px solid var(--purple);
    margin: 0 5px;
    transition: .5s;
}

#btnExclusions {
    width: 30px;
    height: 30px;
    background-color: #FFFF;
    padding: 5px;
    background-image: url('../assets/Buttons/Filter.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    border: 2px solid var(--purple);
    margin: 0 5px;
    transition: .5s;
}

#btnAdd:hover {
    scale: 1.1;
    background-color: #EBEBEB;
}

.btnEdit {
    background: none;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../assets/Buttons/Edit.svg');
    transition: .5s;
}

.btnContent {
    background: none;
    background-size: 30px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../assets/Buttons/Summary.svg');
    transition: .5s;
    color: #06853C;
}

.btnAssistances {
    background-image: url('../assets/Buttons/UserKey.svg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;

    

}

.btnDelete {
    background: none;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../assets/Buttons/Delete.svg');
}

.btnDetail {
    background: none;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../assets/Buttons/Detail.svg');
    transition: .5s;
}

.btnDetailFiles {
    background: none;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../assets/Buttons/Detail.svg');
    transition: .5s;
}

.btnContinue {
    background: var(--green);
    background-size: 8px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../assets/Buttons/Arrow.svg');
    transition: .5s;
    border-radius: 5px;
    transform: scaleX(-1);
}

.btnGeneratePassword {
    background: none;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../assets/Buttons/GeneratePassword.png');
}

.btnRules {
    background: none;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../assets/Buttons/Cog.svg');
}


.k-grid-header {
    background: var(--purple);
    color: #fff;
}

.k-button {
    background: none;
    border: none;
}

/* Estilo para la selecci�n en el Kendo Grid */
.k-select-checkbox {
    color: #ffffff; /* Cambia el color del texto en la selecci�n */
    border: 1px solid var(--yellow);
    border-radius: 10px;
    transition: 1s;
}

.k-select-checkbox:hover {
    scale: 1.3;
}

    .k-select-checkbox:checked {
        background-color: var(--green);
        border: 1px solid var(--green);
    }

.k-selected {
    background: rgba(41, 45, 96, 0.1) !important;
    color: var(--dark) !important;
}


/* Estilos de los toastr */
#notifications {
    position: fixed;
    z-index: 1070;
    pointer-events: none;
    bottom: 12px;
    right: 12px;
}

.toast {
    background: #fff;
    position: relative;
    margin-top: 1rem;
    margin-left: auto;
    padding: 20px 30px 20px 65px;
    width: 300px;
    border-radius: 2vh 2vh 0 2vh;
    background-size: 35px;
    background-repeat: no-repeat;
    background-position: 20px;
    pointer-events: auto;
    word-wrap: break-word;
    transition: .6s;
}

    .toast:hover {
        box-shadow: 0 0 12px #999;
        width: 320px;
        cursor: pointer;
    }

    .toast > .titleToast {
        display: block;
        font-size: 1.1rem;
        font-weight: 700;
    }

.toast_success {
    color: #06853C;
    box-shadow: 0 0 20px #06853C99;
    border: 1px solid #06853C99;
    background-image: url('../assets/Toastr/Success.svg');
}

.toast_error {
    color: #D62D30;
    box-shadow: 0 0 20px #D62D3099;
    border: 1px solid #D62D3099;
    background-image: url('../assets/Toastr/Error.png');
}

.toast_warning {
    color: #F57438;
    box-shadow: 0 0 20px #F5743899;
    border: 1px solid #F5743899;
    background-image: url('../assets/Toastr/Warning.png');
}

.toast_info {
    color: #1D81BC;
    box-shadow: 0 0 20px #1D81BC99;
    border: 1px solid #1D81BC99;
    background-image: url('../assets/Toastr/Info.svg');
}

/*Estilos para el swalt alert*/

.swal2-popup {
    border-radius: 2vh;
    transition: .5s;
}

.swal2-icon, .swal2-success-circular-line-left, .swal2-success-line-tip, .swal2-success-line-long, .swal2-success-ring, .swal2-success-fix, .swal2-success-circular-line-right {
    border-color: var(--purple) !important;
    color: var(--purple) !important;
}

.swal2-success-line-tip, .swal2-success-line-long {
    background-color: var(--purple) !important;
}





/*Estilos para el boton de exportar a excel*/
.k-toolbar.k-grid-toolbar > button {
    border: 2px solid var(--green);
    font-weight: 700;
}

    .k-toolbar.k-grid-toolbar > button > span.k-icon.k-i-file-excel.k-button-icon {
        color: var(--green);
        font-weight: 700;
    }

/*Estilos para el buscador de las tablas*/
.k-toolbar.k-grid-toolbar > span.k-searchbox.k-input.k-input-md.k-rounded-md.k-input-solid.k-grid-search > span {
    font-weight: 900;
    background: #ddd;
    border-radius: 1vh 0 0 1vh;
    height: 30px
}

.k-toolbar.k-grid-toolbar > span.k-searchbox.k-input.k-input-md.k-rounded-md.k-input-solid.k-grid-search {
    border: none;
    background: #eee;
    border-radius: 1vh;
}

/*Estilos para el Select2*/
.select2 {
    width: 100% !important;
    margin: 10px auto 0;
}

.select2-selection {
    border-radius: 5px;
}

.select2-container--default .select2-selection--single {
    border: none;
}

.select2-selection__rendered {
    background-color: #f4f4f4;
    height: 40px;
    border-radius: 5px;
    line-height: inherit;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    display: flex;
    align-items: center;
}

.select2-results__option {
    background-color: #F2F2F2;
}

.content_file {
    width: 100%;
    padding: 1vh;
    position: relative;
    display: inline-block;
    margin: 1vh auto;
    border: 1px dashed #000;
    border-radius: 2vh;
}

.btnDeleteFile {
    position: absolute;
    top: 5px;
    right: 5px;
    cursor: pointer;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-size: 15px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../../Afiliations/assets/Buttons/Delete.svg');
    transition: .9s;
}

.btnShowFile {
    position: absolute;
    top: 5px;
    left: 5px;
    cursor: pointer;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: var(--green);
    background-size: 15px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../../Afiliations/assets/Buttons/Detail.svg');
    transition: .9s;
}

    .btnDeleteFile:hover, .btnShowFile:hover {
        scale: .8;
    }

.content_file > img, .content_file > embed {
    width: 100%;
    min-width: 180px;
    height: 400px;
    margin: 0 auto;
}

/*Responsive*/
@media screen and (max-width: 650px) {
    #nameUser {
        height: 0;
        width: 0;
        display: none;
        margin: 0;
    }

    .left, .rigth {
        margin: 0 auto !important;
    }

    .notifications {
        width: 100%;
    }

    .center > label {
        display: none !important;
    }

    #name {
        display: none;
    }

    .contain {
        padding: calc(80px + 1vh) 1vh 1vh 1vh
    }

    #menu {
        display: none;
    }

    .formRow {
        display: block;
    }

    .section {
        overflow-y: scroll;
    }

    .modal_container {
        width: 100%;
    }

    .field {
        width: 80% !important;
    }

    .kendo_Grid {
        padding: 0;
    }

    #btn_Back {
        margin: 0;
    }

    .navbar_partial > .left {
        width: auto;
    }

    .navbar_partial > .rigth {
        width: auto;
    }
}
